org.springframework.batch.core.step.builder

## Class TaskletStepBuilder

- java.lang.Object
- - org.springframework.batch.core.step.builder.StepBuilderHelper<AbstractTaskletStepBuilder<B>>
  - - org.springframework.batch.core.step.builder.AbstractTaskletStepBuilder<TaskletStepBuilder>
    - - org.springframework.batch.core.step.builder.TaskletStepBuilder

- Direct Known Subclasses:
    JsrBatchletStepBuilder

      public class TaskletStepBuilder
      extends AbstractTaskletStepBuilder<TaskletStepBuilder>

  Builder for tasklet step based on a custom tasklet (not item oriented).
  Since:
    2.2
  Author:
    Dave Syer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

      `StepBuilderHelper.CommonStepProperties`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.step.builder.AbstractTaskletStepBuilder

      `chunkListeners`

    - ### Fields inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

      `logger, properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskletStepBuilder(StepBuilderHelper<?> parent)` Create a new builder initialized with any properties in the parent.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Tasklet` | `createTasklet()`
    `TaskletStepBuilder` | `tasklet(Tasklet tasklet)`

    - ### Methods inherited from class org.springframework.batch.core.step.builder.AbstractTaskletStepBuilder

      `build, concurrent, exceptionHandler, getExceptionHandler, getStepOperations, getStreams, getTaskExecutor, getThrottleLimit, getTransactionAttribute, listener, listener, registerStepListenerAsChunkListener, stepOperations, stream, taskExecutor, throttleLimit, transactionAttribute`

    - ### Methods inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

      `allowStartIfComplete, enhance, getJobRepository, getName, getTransactionManager, isAllowStartIfComplete, listener, repository, startLimit, transactionManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskletStepBuilder

          public TaskletStepBuilder(StepBuilderHelper<?> parent)

      Create a new builder initialized with any properties in the parent. The parent is copied, so it can be re-used.
      Parameters:
        `parent` - a parent helper containing common step properties

  - ### Method Detail

    - #### tasklet

          public TaskletStepBuilder tasklet(Tasklet tasklet)

      Parameters:
        `tasklet` - the tasklet to use
      Returns:
        this for fluent chaining

    - #### createTasklet

          protected Tasklet createTasklet()

      Specified by:
        `createTasklet` in class `AbstractTaskletStepBuilder<TaskletStepBuilder>`